package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class XfsxtcDTO implements java.io.Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "主键")
    private String rsWbXfsxtcLsh;

    @ApiModelProperty(value = "办件流水号")
    @NotBlank(message = "办件流水号不能为空")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "姓名")
    @NotBlank(message = "姓名不能为空")
    private String xm;

    @ApiModelProperty(value = "性别")
    private String xb;

    @ApiModelProperty(value = "身份证号码")
    @NotBlank(message = "身份证号码不能为空")
    private String sfzhm;

    @ApiModelProperty(value = "联系电话")
    @NotBlank(message = "联系电话不能为空")
    private String lxdh;

    @ApiModelProperty(value = "联系地址")
    @NotBlank(message = "联系地址不能为空")
    private String lxdz;

    @ApiModelProperty(value = "户籍所在地")
    @NotBlank(message = "户籍所在地不能为空")
    private String hjszd;

    @ApiModelProperty(value = "现居住地")
    @NotBlank(message = "现居住地不能为空")
    private String xjzd;

    @ApiModelProperty(value = "职业")
    @NotBlank(message = "职业不能为空")
    private String zy;

    @ApiModelProperty(value = "是否就同一问题反映过")
    @NotBlank(message = "是否就同一问题反映过不能为空")
    private String sffyg;

    @ApiModelProperty(value = "最近一次到访部门")
    private String zjycdfbm;

    @ApiModelProperty(value = "最近一次到访部门所在地")
    private String zjycdfbmszd;

    @ApiModelProperty(value = "最近一次到访时间")
    private String zjycdfsj;

    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    @ApiModelProperty(value = "单位属性")
    private String dwsx;

    @ApiModelProperty(value = "单位地址")
    private String dwdz;

    @ApiModelProperty(value = "单位联系人")
    private String dwlxr;

    @ApiModelProperty(value = "单位联系电话")
    private String dwlxdh;

    @ApiModelProperty(value = "反映问题性质")
    @NotBlank(message = "反映问题性质不能为空")
    private String fywtxz;

    @ApiModelProperty(value = "反映主要问题及诉求")
    @NotBlank(message = "反映主要问题及诉求不能为空")
    private String fyzywtsq;

    @ApiModelProperty(value = "来访人数")
    @NotBlank(message = "来访人数不能为空")
    private String lfrs;

    @ApiModelProperty(value = "来访日期（YYYY-MM-DD）")
    @NotBlank(message = "来访日期不能为空")
    private String lfsj;

	public String getRsWbXfsxtcLsh() {
		return rsWbXfsxtcLsh;
	}

	public void setRsWbXfsxtcLsh(String rsWbXfsxtcLsh) {
		this.rsWbXfsxtcLsh = rsWbXfsxtcLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getSfzhm() {
		return sfzhm;
	}

	public void setSfzhm(String sfzhm) {
		this.sfzhm = sfzhm;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getLxdz() {
		return lxdz;
	}

	public void setLxdz(String lxdz) {
		this.lxdz = lxdz;
	}

	public String getHjszd() {
		return hjszd;
	}

	public void setHjszd(String hjszd) {
		this.hjszd = hjszd;
	}

	public String getXjzd() {
		return xjzd;
	}

	public void setXjzd(String xjzd) {
		this.xjzd = xjzd;
	}

	public String getZy() {
		return zy;
	}

	public void setZy(String zy) {
		this.zy = zy;
	}

	public String getSffyg() {
		return sffyg;
	}

	public void setSffyg(String sffyg) {
		this.sffyg = sffyg;
	}

	public String getZjycdfbm() {
		return zjycdfbm;
	}

	public void setZjycdfbm(String zjycdfbm) {
		this.zjycdfbm = zjycdfbm;
	}

	public String getZjycdfbmszd() {
		return zjycdfbmszd;
	}

	public void setZjycdfbmszd(String zjycdfbmszd) {
		this.zjycdfbmszd = zjycdfbmszd;
	}

	public String getZjycdfsj() {
		return zjycdfsj;
	}

	public void setZjycdfsj(String zjycdfsj) {
		this.zjycdfsj = zjycdfsj;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getDwsx() {
		return dwsx;
	}

	public void setDwsx(String dwsx) {
		this.dwsx = dwsx;
	}

	public String getDwdz() {
		return dwdz;
	}

	public void setDwdz(String dwdz) {
		this.dwdz = dwdz;
	}

	public String getDwlxr() {
		return dwlxr;
	}

	public void setDwlxr(String dwlxr) {
		this.dwlxr = dwlxr;
	}

	public String getDwlxdh() {
		return dwlxdh;
	}

	public void setDwlxdh(String dwlxdh) {
		this.dwlxdh = dwlxdh;
	}

	public String getFywtxz() {
		return fywtxz;
	}

	public void setFywtxz(String fywtxz) {
		this.fywtxz = fywtxz;
	}

	public String getFyzywtsq() {
		return fyzywtsq;
	}

	public void setFyzywtsq(String fyzywtsq) {
		this.fyzywtsq = fyzywtsq;
	}

	public String getLfrs() {
		return lfrs;
	}

	public void setLfrs(String lfrs) {
		this.lfrs = lfrs;
	}

	public String getLfsj() {
		return lfsj;
	}

	public void setLfsj(String lfsj) {
		this.lfsj = lfsj;
	}
}	
